[plt-scheme] 3.99 - extension require changed?

From: Matthew Flatt (mflatt at cs.utah.edu)
Date: Mon May 12 08:00:10 EDT 2008

At Mon, 12 May 2008 12:46:22 +0100, Dave Griffiths wrote:
> I'm upgrading fluxus to 3.99, and I'm having difficulty resolving binary
> extension paths with require - has the way these work changed? (the
> trick with 'foo.ss' mapping to 'foo.so') The docs look the same to me:
> http://docs.plt-scheme.org/inside/overview.html#(part~20embedding

I'll fix the docs. The change was that instead of replacing ".ss" with
".so", the loader rewrites ".ss" to "_ss.so" (i.e., it preserves the
original suffix in the file name).

> as a side issue, I also noticed that putting . in a path results in an
> invalid module path - is this intended?



Posted on the users mailing list.